diff -urwpN hsshellscript-2.6.3.orig/lib/hsshellscript.cabal hsshellscript-2.6.3/lib/hsshellscript.cabal
--- hsshellscript-2.6.3.orig/lib/hsshellscript.cabal	2006-08-14 11:50:03.000000000 +0100
+++ hsshellscript-2.6.3/lib/hsshellscript.cabal	1970-01-01 01:00:00.000000000 +0100
@@ -1,23 +0,0 @@
-name: hsshellscript
-version: @VERSION
-license: LGPL
-copyright:
-maintainer: hsss@volker-wysk.de
-stability: stable
-homepage: http://www.volker-wysk.de/hsshellscript
-package-url: 
-description: A library for Unix system tasks, such as would normally be done by shell scripts.
-category: 
-author: Volker Wysk
-exposed: False
-exposed-modules: HsShellScript HsShellScript.Args
-hidden-modules: HsShellScript.Commands HsShellScript.GetOpt HsShellScript.Misc HsShellScript.Paths HsShellScript.ProcErr HsShellScript.Shell
-hs-source-dir: ../src/lib
-import-dirs: @DEST_IMPORTS
-library-dirs: @DEST_LIB
-hs-libraries: hsshellscript
-extra-libraries: glib
-include-dirs: @DEST_IMPORTS
-includes: @CINCLUDES
-depends: base, haskell98, parsec, unix
-extra-ghc-opts: -fglasgow-exts
\ No newline at end of file
diff -urwpN hsshellscript-2.6.3.orig/lib/hsshellscript.pkg hsshellscript-2.6.3/lib/hsshellscript.pkg
--- hsshellscript-2.6.3.orig/lib/hsshellscript.pkg	1970-01-01 01:00:00.000000000 +0100
+++ hsshellscript-2.6.3/lib/hsshellscript.pkg	2006-10-18 00:32:38.000000000 +0100
@@ -0,0 +1,22 @@
+name: hsshellscript
+version: @VERSION
+license: LGPL
+copyright:
+maintainer: hsss@volker-wysk.de
+stability: stable
+homepage: http://www.volker-wysk.de/hsshellscript
+package-url: 
+description: A library for Unix system tasks, such as would normally be done by shell scripts.
+category: 
+author: Volker Wysk
+exposed: False
+exposed-modules: HsShellScript HsShellScript.Args
+hidden-modules: HsShellScript.Commands HsShellScript.GetOpt HsShellScript.Misc HsShellScript.Paths HsShellScript.ProcErr HsShellScript.Shell
+hs-source-dir: ../src/lib
+import-dirs: @DEST_IMPORTS
+library-dirs: @DEST_LIB
+hs-libraries: hsshellscript
+extra-libraries: glib-2.0
+include-dirs: @DEST_IMPORTS
+includes: @CINCLUDES
+depends: base, haskell98, parsec, unix
diff -urwpN hsshellscript-2.6.3.orig/Makefile hsshellscript-2.6.3/Makefile
--- hsshellscript-2.6.3.orig/Makefile	2006-08-14 11:50:03.000000000 +0100
+++ hsshellscript-2.6.3/Makefile	2006-10-18 01:22:34.000000000 +0100
@@ -13,7 +13,7 @@ DEST_DOC	= /usr/local/share/doc/hsshells
 # User targets ---------------------------------------------------------------------------------------------------------------------------------------
 
 # Build everything
-all :: lib lib_p build/hsshellscript.cabal doc tests
+all :: lib lib_p build/hsshellscript.pkg doc tests
 
 # Build the dependencies and c2hs-generated files
 depend :: depend1
@@ -64,9 +64,9 @@ VERSION		= 2.6.3
 HC 		= ghc
 CC		= gcc
 CFLAGS_GCC	= `pkg-config --cflags glib-2.0` -Ibuild -Isrc
-CFLAGS_GHC	= -ibuild:src/lib:src/test -I. -odir build -hidir build -fglasgow-exts -package-name hsshellscript -O2
+CFLAGS_GHC	= -ibuild:src/lib:src/test -I. -odir build -hidir build -fglasgow-exts -package-name hsshellscript-$(VERSION) -O
 PROFFLAGS	= -osuf p_o -hisuf p_hi -prof -auto-all
-LIBS   		= -syslib lang -syslib text -syslib util build/libhsshellscript.a `pkg-config --libs glib-2.0`
+LIBS   		= -package unix -package parsec build/libhsshellscript.a `pkg-config --libs glib-2.0`
 SRC_LIB_HS	= HsShellScript HsShellScript/Paths HsShellScript/Shell HsShellScript/Args HsShellScript/GetOpt
 SRC_LIB_CHS	= HsShellScript/Commands HsShellScript/ProcErr HsShellScript/Misc 
 LIB_HS		= $(foreach hs, $(SRC_LIB_HS), src/lib/$(hs).hs) $(foreach hs, $(SRC_LIB_CHS), build/$(hs).hs)
@@ -104,7 +104,7 @@ realclean1 ::
 
 # Installation ---------------------------------------------------------------------------------------------------------------------------------------
 
-install_lib1 :: build/libhsshellscript.a build/libhsshellscript_p.a build/hsshellscript.cabal
+install_lib1 :: build/libhsshellscript.a build/libhsshellscript_p.a build/hsshellscript.pkg
 	rm -rf $(DESTDIR)/$(DEST_IMPORTS)/HsShellScript
 	mkdir -p $(DESTDIR)/$(DEST_IMPORTS) $(DESTDIR)/$(DEST_IMPORTS)/HsShellScript $(DESTDIR)/$(DEST_LIB)
 	cp -f build/libhsshellscript.a build/libhsshellscript_p.a $(DESTDIR)/$(DEST_LIB)
@@ -114,7 +114,7 @@ install_lib1 :: build/libhsshellscript.a
 		 $(DESTDIR)/$(DEST_LIB)/libhsshellscript.a \
 		 $(DESTDIR)/$(DEST_LIB)/libhsshellscript_p.a \
 	 	 $(DESTDIR)/$(DEST_IMPORTS)/{HsShellScript,HsShellScript.hi,HsShellScript.p_hi}
-	ghc-pkg -i build/hsshellscript.cabal --update-package --auto-ghci-libs
+	ghc-pkg -i build/hsshellscript.pkg --update-package --auto-ghci-libs
 
 install_doc :: build/apidoc/index.html build/manual/index.html
 	mkdir -p $(DESTDIR)/$(DEST_DOC)
@@ -123,10 +123,10 @@ install_doc :: build/apidoc/index.html b
 	cp -r build/apidoc build/manual $(DESTDIR)/$(DEST_DOC)
 	chmod -R a=rX $(DESTDIR)/$(DEST_DOC)
 
-build/hsshellscript.cabal :: lib/hsshellscript.cabal Makefile
+build/hsshellscript.pkg :: lib/hsshellscript.pkg Makefile
 	sed "s|@VERSION|$(VERSION)|g; s|@DEST_IMPORTS|$(DEST_IMPORTS)|g; s|@DEST_LIB|$(DEST_LIB)|g; \
 	     s|@DEST_IMPORTS|$(DEST_IMPORTS)|g; s|@CINCLUDES|$(CINCLUDES)|g;" \
-	     < lib/hsshellscript.cabal > build/hsshellscript.cabal
+	     < lib/hsshellscript.pkg > build/hsshellscript.pkg
 
 
 # Documentation --------------------------------------------------------------------------------------------------------------------------------------
diff -urwpN hsshellscript-2.6.3.orig/src/test/force_mv.hs hsshellscript-2.6.3/src/test/force_mv.hs
--- hsshellscript-2.6.3.orig/src/test/force_mv.hs	2006-08-14 11:50:03.000000000 +0100
+++ hsshellscript-2.6.3/src/test/force_mv.hs	2006-10-18 01:02:06.000000000 +0100
@@ -10,14 +10,14 @@ import Data.Bits
 
 
 header = "force_mv <Parameter an mv>\n\
-         \Der Aufruf ist wie mv, außer daß genau eine Quelle und ein Ziel erforderlich ist (also auch kein --target-directory)."
+         \Der Aufruf ist wie mv, au\223er da\223 genau eine Quelle und ein Ziel erforderlich ist (also auch kein --target-directory)."
 
 
 main = mainwrapper $ do
    (opts,pfade) <- fmap teilen $ getArgs
    case pfade of
       [quelle, ziel] -> force_cmd (\q z -> run "/bin/mv" (opts ++ [q, z])) quelle ziel
-      _              -> failIO "Es muß genau eine Quelle und genau ein Ziel angegeben werden."
+      _              -> failIO "Es mu\223 genau eine Quelle und genau ein Ziel angegeben werden."
 
 
 -- Optionen von Pfaden trennen
